API Reference
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accessTokenstringRequired
JWT token for authentication
Responses
200
Successful test inference
application/json
400
Bad request
application/json
500
Server error
application/json
post/inferenceTest
POST /inferenceTest HTTP/1.1
Host: api2.onairos.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"inputData": [
{
"text": "text",
"category": "text",
"img_url": "text"
}
],
"accessToken": "text"
}{
"InferenceResult": {
"output": {}
}
}Body
Responses
200
Successful API URL generation
application/json
apiUrlstringOptional
URL for API access
tokenstringOptional
JWT token for authentication
403
Forbidden - domain not registered
application/json
500
Server error
application/json
post/getAPIurl
POST /getAPIurl HTTP/1.1
Host: api2.onairos.uk
Content-Type: application/json
Accept: */*
Content-Length: 171
{
"Info": {
"web3Type": "text",
"confirmations": [
{
"data": "text",
"date": "text"
}
],
"Domain": "text",
"EncryptedUserPin": "text",
"OthentSub": "text",
"proofMode": true,
"account": "text"
}
}{
"apiUrl": "text",
"token": "text"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accessTokenstringRequired
JWT token for authentication
Responses
200
Successful inference
application/json
400
Bad request - invalid input data
application/json
401
Unauthorized - invalid token
application/json
413
Payload too large - input exceeds size limit
application/json
500
Server error
application/json
post/inferenceNoProof
POST /inferenceNoProof HTTP/1.1
Host: api2.onairos.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"inputData": [
{
"text": "text",
"category": "text",
"img_url": "text"
}
],
"accessToken": "text"
}{
"InferenceResult": {
"output": {}
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accessTokenstringRequired
JWT token for authentication
Responses
200
Successful traits inference
application/json
400
Bad request
application/json
500
Server error
application/json
post/traits
POST /traits HTTP/1.1
Host: api2.onairos.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87
{
"inputData": [
{
"text": "text",
"category": "text",
"img_url": "text"
}
],
"accessToken": "text"
}{
"InferenceResult": {
"output": {}
}
}Last updated